IFF_FRIEND = 1
IFF_NEUTRAL = 0
IFF_ENEMY = -1

OBJECTIVE_COMPLETE = 0
OBJECTIVE_INCOMPLETE = 1
OBJECTIVE_FAILED = 2

CAMERA_COCKPIT = 0
CAMERA_LEFT = 1
CAMERA_RIGHT = 2
CAMERA_REAR = 3
CAMERA_CHASE = 4
CAMERA_AUTOPILOT = 5
CAMERA_SCRIPTABLE = 6

SHIPAREA_FRONT =0
SHIPAREA_BACK = 1
SHIPAREA_LEFT = 2
SHIPAREA_RIGHT = 3

function Ship_setArmorValue(shipid,region,percentage)
  if region >= 0 and region <= 3 then
    if percentage > 1 then percentage = 1;
    elseif percentage < 0 then percentage = 0;
    end
    local ARM = Ship_getMaxArmor(shipid, region) * percentage;
    Ship_setArmor(shipid,region,ARM);
  end
end

function Ship_getArmorValue(shipid,region)
  if region >= 0 and region <= 3 and Ship_isActive(shipid) then
    return Ship_getArmor(shipid, region) / Ship_getMaxArmor(shipid, region);
  else return nil; end
end

function Ship_setShieldsValue(shipid,region,percentage)
  if region >= 0 and region <= 3 then
    if percentage > 1 then percentage = 1;
    elseif percentage < 0 then percentage = 0;
    end
    local SHD = Ship_getMaxShields(shipid, region) * percentage;
    Ship_setShields(shipid,region,SHD);
  end
end

function Ship_getShieldsValue(shipid,region)
  if region >= 0 and region <= 3 and Ship_isActive(shipid) then
    return Ship_getShields(shipid, region) / Ship_getMaxShields(shipid, region);
  else return nil; end
end

function Ship_setShieldsAll(shipid, percentage)
    Ship_setShieldsValue(shipid,SHIPAREA_FRONT,percentage);
    Ship_setShieldsValue(shipid,SHIPAREA_BACK,percentage);
    Ship_setShieldsValue(shipid,SHIPAREA_LEFT,percentage);
    Ship_setShieldsValue(shipid,SHIPAREA_RIGHT,percentage);
end

function Ship_setArmorAll(shipid, percentage)
    Ship_setArmorValue(shipid,SHIPAREA_FRONT,percentage);
    Ship_setArmorValue(shipid,SHIPAREA_BACK,percentage);
    Ship_setArmorValue(shipid,SHIPAREA_LEFT,percentage);
    Ship_setArmorValue(shipid,SHIPAREA_RIGHT,percentage);
end

