function computeheading(fromx, fromy, fromz, tox, toy, toz)
  local headingx = tox - fromx;
--  local headingy = toy - fromy;
  local headingy = 0;
  local headingz = toz - fromz;

  -- now normalize
  local length = math.sqrt( headingx ^ 2 + headingy ^ 2 + headingz ^ 2);
  headingx = headingx / length;
  headingy = headingy / length;
  headingz = headingz / length
  return headingx, headingy, headingz;
end


function BriefingShip_setLocationNav(shipid, fromnavid)
   local fromx, fromy, fromz = BriefingNav_getLocation(fromnavid);
   BriefingShip_setLocation(shipid, fromx, fromy, fromz);
end


function BriefingShip_setLocationInterpNavs(shipid, fromnavid, tonavid, time)
   local fromx, fromy, fromz = BriefingNav_getLocation(fromnavid);
   local tox, toy, toz = BriefingNav_getLocation(tonavid);
   BriefingShip_setLocationInterpolated(shipid, fromx, fromy, fromz, tox, toy, toz, time);
end

function BriefingShip_setHeadingInterpNavs(shipid, nav1id, nav2id, nav3id, time)
   local n1x, n1y, n1z = BriefingNav_getLocation(nav1id);
   local n2x, n2y, n2z = BriefingNav_getLocation(nav2id);
   local n3x, n3y, n3z = BriefingNav_getLocation(nav3id);

   local heading1x, heading1y, heading1z = computeheading(n1x, n1y, n1z, n2x, n2y, n2z);
   local heading2x, heading2y, heading2z = computeheading(n2x, n2y, n2z, n3x, n3y, n3z);

   BriefingShip_setHeadingInterpolated(shipid, heading1x, heading1y,heading1z, heading2x, heading2y,heading2z , time);
end


function BriefingShip_setHeadingFixedNavs(shipid, nav1id, nav2id)
   local n1x, n1y, n1z = BriefingNav_getLocation(nav1id);
   local n2x, n2y, n2z = BriefingNav_getLocation(nav2id);

   local heading1x, heading1y, heading1z = computeheading(n1x, n1y, n1z, n2x, n2y, n2z);

   BriefingShip_setHeading(shipid, heading1x, heading1y,heading1z);
end

